using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Dynamic;
using System.Text;
using Domain;
using Dao;

namespace Service.Implement
{
	public class AppMenuManager : GenericManagerBase<AppMenu>, IAppMenuManager
	{
		public IList<AppMenu> LoadAllByPage(out long total, int page, int rows, string order, string sort)
		{
			return ((Dao.IAppMenuRepository)(this.CurrentRepository)).LoadAllByPage(out total, page, rows, order, sort).ToList();
		}

        public IList<AppMenu> LoadAll(int type, int hotelID)
        {
            return ((Dao.IAppMenuRepository)(this.CurrentRepository)).LoadAll(type, hotelID).ToList();
        }
	}
}
